Erro ao atualizar driver NVidia GTX 550 no Mint 19.3

Olá pessoal, boa noite!

Estou pensando em migrar de vez do Windows para o Linux Mint. Mas um erro na configuração do driver de vídeo tem me impedido. Instalei o Linux Mint 19.3 normalmente pelo pen drive bootável.

Minha placa de vídeo é uma NVidia GTX 550

Ao tentar selecionar o driver da Nvidia versão 440 pelo gerenciador, ele apresenta o seguinte erro:

Colo abaixo o texto encontrado em detalhes:
installArchives() failed: (Reading database …
(Reading database … 5%%
(Reading database … 10%%
(Reading database … 15%%
(Reading database … 20%%
(Reading database … 25%%
(Reading database … 30%%
(Reading database … 35%%
(Reading database … 40%%
(Reading database … 45%%
(Reading database … 50%%
(Reading database … 55%%
(Reading database … 60%%
(Reading database … 65%%
(Reading database … 70%%
(Reading database … 75%%
(Reading database … 80%%
(Reading database … 85%%
(Reading database … 90%%
(Reading database … 95%%
(Reading database … 100%%
(Reading database … 294909 files and directories currently installed.)
Removing libnvidia-encode-390:i386 (390.129-0ubuntu0~gpu18.04.1) …
Removing libnvidia-decode-390:i386 (390.129-0ubuntu0~gpu18.04.1) …
Removing libnvidia-compute-390:i386 (390.129-0ubuntu0~gpu18.04.1) …
Removing libnvidia-compute-390:amd64 (390.129-0ubuntu0~gpu18.04.1) …
Removing libnvidia-fbc1-390:i386 (390.129-0ubuntu0~gpu18.04.1) …
Selecting previously unselected package libnvidia-cfg1-440:amd64.
(Reading database …
(Reading database … 5%%
(Reading database … 10%%
(Reading database … 15%%
(Reading database … 20%%
(Reading database … 25%%
(Reading database … 30%%
(Reading database … 35%%
(Reading database … 40%%
(Reading database … 45%%
(Reading database … 50%%
(Reading database … 55%%
(Reading database … 60%%
(Reading database … 65%%
(Reading database … 70%%
(Reading database … 75%%
(Reading database … 80%%
(Reading database … 85%%
(Reading database … 90%%
(Reading database … 95%%
(Reading database … 100%%
(Reading database … 294859 files and directories currently installed.)
Preparing to unpack …/00-libnvidia-cfg1-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking libnvidia-cfg1-440:amd64 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package libnvidia-common-440.
Preparing to unpack …/01-libnvidia-common-440_440.48.02-0ubuntu018.04.1_all.deb …
Unpacking libnvidia-common-440 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package libnvidia-compute-440:amd64.
Preparing to unpack …/02-libnvidia-compute-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking libnvidia-compute-440:amd64 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package libnvidia-compute-440:i386.
Preparing to unpack …/03-libnvidia-compute-440_440.48.02-0ubuntu018.04.1_i386.deb …
Unpacking libnvidia-compute-440:i386 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package libnvidia-decode-440:i386.
Preparing to unpack …/04-libnvidia-decode-440_440.48.02-0ubuntu018.04.1_i386.deb …
Unpacking libnvidia-decode-440:i386 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package libnvidia-decode-440:amd64.
Preparing to unpack …/05-libnvidia-decode-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking libnvidia-decode-440:amd64 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package libnvidia-encode-440:amd64.
Preparing to unpack …/06-libnvidia-encode-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking libnvidia-encode-440:amd64 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package libnvidia-encode-440:i386.
Preparing to unpack …/07-libnvidia-encode-440_440.48.02-0ubuntu018.04.1_i386.deb …
Unpacking libnvidia-encode-440:i386 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package libnvidia-fbc1-440:amd64.
Preparing to unpack …/08-libnvidia-fbc1-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking libnvidia-fbc1-440:amd64 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package libnvidia-fbc1-440:i386.
Preparing to unpack …/09-libnvidia-fbc1-440_440.48.02-0ubuntu018.04.1_i386.deb …
Unpacking libnvidia-fbc1-440:i386 (440.48.02-0ubuntu0
18.04.1) …
Preparing to unpack …/10-libnvidia-gl-440_440.48.02-0ubuntu018.04.1_i386.deb …
dpkg-query: no packages found matching libnvidia-gl-435
diversion of /usr/lib/i386-linux-gnu/libGL.so.1 to /usr/lib/i386-linux-gnu/libGL.so.1.distrib by nvidia-340
dpkg-divert: error: mismatch on package
when removing ‘diversion of /usr/lib/i386-linux-gnu/libGL.so.1 by libnvidia-gl-440’
found ‘diversion of /usr/lib/i386-linux-gnu/libGL.so.1 to /usr/lib/i386-linux-gnu/libGL.so.1.distrib by nvidia-340’
dpkg: error processing archive /tmp/apt-dpkg-install-IcEZJN/10-libnvidia-gl-440_440.48.02-0ubuntu0
18.04.1_i386.deb (–unpack):
new libnvidia-gl-440:i386 package pre-installation script subprocess returned error exit status 2
Preparing to unpack …/11-libnvidia-gl-440_440.48.02-0ubuntu018.04.1_amd64.deb …
dpkg-query: no packages found matching libnvidia-gl-435
diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 to /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib by nvidia-340
dpkg-divert: error: mismatch on package
when removing ‘diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 by libnvidia-gl-440’
found ‘diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 to /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib by nvidia-340’
dpkg: error processing archive /tmp/apt-dpkg-install-IcEZJN/11-libnvidia-gl-440_440.48.02-0ubuntu0
18.04.1_amd64.deb (–unpack):
new libnvidia-gl-440:amd64 package pre-installation script subprocess returned error exit status 2
Selecting previously unselected package libnvidia-ifr1-440:amd64.
Preparing to unpack …/12-libnvidia-ifr1-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking libnvidia-ifr1-440:amd64 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package libnvidia-ifr1-440:i386.
Preparing to unpack …/13-libnvidia-ifr1-440_440.48.02-0ubuntu018.04.1_i386.deb …
Unpacking libnvidia-ifr1-440:i386 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package nvidia-compute-utils-440.
Preparing to unpack …/14-nvidia-compute-utils-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking nvidia-compute-utils-440 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package nvidia-kernel-source-440.
Preparing to unpack …/15-nvidia-kernel-source-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking nvidia-kernel-source-440 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package nvidia-kernel-common-440.
Preparing to unpack …/16-nvidia-kernel-common-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking nvidia-kernel-common-440 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package nvidia-dkms-440.
Preparing to unpack …/17-nvidia-dkms-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking nvidia-dkms-440 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package nvidia-utils-440.
Preparing to unpack …/18-nvidia-utils-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking nvidia-utils-440 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package xserver-xorg-video-nvidia-440.
Preparing to unpack …/19-xserver-xorg-video-nvidia-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking xserver-xorg-video-nvidia-440 (440.48.02-0ubuntu0
18.04.1) …
Selecting previously unselected package nvidia-driver-440.
Preparing to unpack …/20-nvidia-driver-440_440.48.02-0ubuntu018.04.1_amd64.deb …
Unpacking nvidia-driver-440 (440.48.02-0ubuntu0
18.04.1) …
Errors were encountered while processing:
/tmp/apt-dpkg-install-IcEZJN/10-libnvidia-gl-440_440.48.02-0ubuntu018.04.1_i386.deb
/tmp/apt-dpkg-install-IcEZJN/11-libnvidia-gl-440_440.48.02-0ubuntu0
18.04.1_amd64.deb
Setting up libnvidia-common-440 (440.48.02-0ubuntu018.04.1) …
Setting up libnvidia-fbc1-440:amd64 (440.48.02-0ubuntu0
18.04.1) …
Setting up libnvidia-fbc1-440:i386 (440.48.02-0ubuntu018.04.1) …
Setting up libnvidia-compute-440:amd64 (440.48.02-0ubuntu0
18.04.1) …
Setting up libnvidia-compute-440:i386 (440.48.02-0ubuntu018.04.1) …
Setting up nvidia-utils-440 (440.48.02-0ubuntu0
18.04.1) …
Setting up nvidia-kernel-common-440 (440.48.02-0ubuntu018.04.1) …
update-initramfs: deferring update (trigger activated)
Setting up libnvidia-cfg1-440:amd64 (440.48.02-0ubuntu0
18.04.1) …
dpkg: dependency problems prevent configuration of nvidia-driver-440:
nvidia-driver-440 depends on libnvidia-gl-440 (= 440.48.02-0ubuntu0~~18.04.1); however:
Package libnvidia-gl-440:amd64 is not installed.

dpkg: error processing package nvidia-driver-440 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libnvidia-ifr1-440:amd64:
 libnvidia-ifr1-440:amd64 depends on libnvidia-gl-440; however:
  Package libnvidia-gl-440:amd64 is not installed.

dpkg: error processing package libnvidia-ifr1-440:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libnvidia-ifr1-440:i386:
 libnvidia-ifr1-440:i386 depends on libnvidia-gl-440; however:
  Package libnvidia-gl-440:i386 is not installed.

dpkg: error processing package libnvidia-ifr1-440:i386 (--configure):
 dependency problems - leaving unconfigured
Setting up libnvidia-decode-440:i386 (440.48.02-0ubuntu0~~18.04.1) ...
Setting up libnvidia-decode-440:amd64 (440.48.02-0ubuntu0~~18.04.1) ...
Setting up nvidia-compute-utils-440 (440.48.02-0ubuntu0~~18.04.1) ...
Alerta: o diretrio pessoal /nonexistent que voc especificou no pode ser acessado: No such file or directory
Adicionando usurio de sistema 'nvidia-persistenced' (UID 122) ...
Adicionando novo grupo `nvidia-persistenced' (GID 129) ...
Adicionando novo usurio `nvidia-persistenced' (UID 122) ao grupo `nvidia-persistenced' ...
Sem criar diretrio pessoal `/nonexistent'.
Setting up libnvidia-encode-440:amd64 (440.48.02-0ubuntu0~~18.04.1) ...
Setting up libnvidia-encode-440:i386 (440.48.02-0ubuntu0~~18.04.1) ...
Setting up nvidia-kernel-source-440 (440.48.02-0ubuntu0~~18.04.1) ...
Setting up xserver-xorg-video-nvidia-440 (440.48.02-0ubuntu0~~18.04.1) ...
Setting up nvidia-dkms-440 (440.48.02-0ubuntu0~~18.04.1) ...
update-initramfs: deferring update (trigger activated)
INFO:Enable nvidia
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
Loading new nvidia-440.48.02 DKMS files...
Building for 5.3.0-26-generic
Building for architecture x86_64
Building initial module for 5.3.0-26-generic
Secure Boot not enabled on this system.
Done.

nvidia:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.3.0-26-generic/kernel/drivers/char/drm/

nvidia-modeset.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.3.0-26-generic/kernel/drivers/char/drm/

nvidia-drm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.3.0-26-generic/kernel/drivers/char/drm/

nvidia-uvm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.3.0-26-generic/kernel/drivers/char/drm/

depmod...

DKMS: install completed.
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for initramfs-tools (0.130ubuntu3.9) ...
update-initramfs: Generating /boot/initrd.img-5.3.0-26-generic
I: The initramfs will attempt to resume from /dev/sdb2
I: (UUID=4886ffd6-9c58-4900-9e81-47b77b86eff8)
I: Set the RESUME variable to override this.

Depois do erro ele simplesmente aciona outro driver da lista:

Mas sempre ao reiniciar o sistema, a resolução está bem baixa e recebo a seguinte mensagem do sistema:

Testei todos os drivers dessa lsita, e sempre acontece o mesmo. Pra resolver eu tenho que entrar no Synaptic e remover os pacotes quebrados antes de tentar instalar outro driver. Mas sempre o erro volta. O único driver que manteve uma resolução um pouco melhor foi o genérico do sistema. Mas queria usar o driver da Nvidia pra instalar jogos.

Já atualizeio sistema e dei o comando autoremove no apt-get. Mas nada.

Alguém sabe como posso resolver isso?
Tenham em mente que sou curioso, porém sou leigo.

Agradeço de atemão!

Opa eae blza? Percebi q ali na barra do sistema, tem o icone mostrando que ainda teria updates pra fazer, pode ser q resolva. Mas se por algum motivo o sistema se “autozoneou”, é melhor reinstalar e rodar os updates antes de instalar o driver. Em ultimo caso, vc pode tentar outra distro, que nesse caso recomendo o ZorinOS (Core, q usa Gnome ou a versão Lite que usa XFCE).

Eu fiz o update e continuou da mesma forma.
Acho que vou tentar usar o Zorin mesmo. A questão é que me chateia é que nem todo novo usuário estaria disposto a testar outra distro hahaha.

Eu gosto de Linux, por isso quero usar. Mas sei que novos usuários que se vissem com esse problema não tardariam a colocar a culpa no sistema livre. Abraço!

Tente o Pop!_OS também :wink:

Te entendo kkkkk Se precisar, fiz um vídeo abordando as distros pra ficarmos de olho em 2020

Eu tenho uma GTX 550 TI Gigabyte e até onde sei somente o driver até versão 390.87 funciona no Linux, isso com o kernel até o 4.4.0-142-generic (drivers nvidia mais recentes não funcionam. Tem que usar genérico). No meu Elementary roda dessa forma perfeitamente.

Quando tentei rodar no kernel 4.4.0-143-generic ou superiores da tela preta. Coincidentemente eu estou pensando em instalar o Mint Cinammon 19.3 neste final de semana, e se tiver melhor desempenho eu vou abandonar o Elementary depois de quase 5 anos. Vou ver se vai ter algum problema com a GTX 550 e informo aqui.

Okay. Muito obrigado! Nossas placas são iguais.
Não sei ao certo qual o kernel do Mint 19.3, acho que é a 5.0, algo do tipo.

Vou tentar o Zorin mesmo!

Tava dando uma olhada no site da NVIDIA, os drivers compatíveis com a sua GTX são: 340.108 lançado em 23.12.2019 e o 390.132 lançado 8.11.2019. Muito provavelmente o DXVK e afins funcione “meia vida” nela, visto q pra funcionar de boas, precisa dos drivers mais novos.

Eu troquei pro Zorin. Mas o problema continua até aqui. Acho que vou ter que ficar no Windows mesmo.

A resolução está super abaixo do meu monitor. E aqui eu vejo algumas opções de drivers, mas não consigo selecioná-las. E o aplicativo que instalei algo manualmente. ¬¬

Muito obrigado pela ajuda pessoal! Eu tentei hahahah

Uma pergunta: secure boot ativado ou desativado?

Não precisa voltar para o Windows kkkk. Isso é um fato que vai acontecer praticamente em qualquer distro, é uma questão de compatibilidade entre driver prioritário e kernel.

Instale o driver 390 e vai funcionar perfeitamente, sem nenhum problema com a resolução do seu monitor. Aqui funciona sem problemas nos meus monitores e na tv via hdmi ou vga, roda jogos da steam, videos etc.

Como eu olho isso? Como disse, não entendo muito.

Não tô conseguindo instalar o driver 390 pelo gerenciador de drivers. Ele não permite clicar. Tentei pesquisar como faz manualmente, mas ele também não instala. Diz que já tem um driver instalado

Entre na BIOS e veja

Acontece igualzinho comigo com secure boot ativado 940mx, instala mas não funciona. Desativei secure boot e instalei o driver. Boom, funcionou

1 Curtida

Procurei aqui e não achei nada parecido. Minha bios é uefi, talvez seja isso. Sei lá.

Qual o modelo da placa mãe?

É uma PCWare IPMH81G1

https://www.google.com/search?q=PCWare+IPMH81G1+bios+secure+boot&tbm=isch&ved=2ahUKEwj81Keh3aznAhWBAN8KHZb5AC4Q2-cCegQIABAB&oq=PCWare+IPMH81G1+bios+secure+boot&gs_l=mobile-gws-wiz-img.3...6183.8742..9283...0.0..0.239.2821.2-13#imgrc=Mwtf2uTUymZDYM
Tem alguma tela assim? Secure boot tá em baixo

1 Curtida

Bem, o secure boot estava desativado.
Mas consegui resolver.

Reinstalei o Mint 19.3 e instalei o driver 390, como o amigo @PedroHenique sugeriu. Fiz isso antes de qualquer coisa, e tá funcionando perfeitamente. Agora é só instalar o dotinha e os programas e deixar o Windows de lado.

Obrigado pessoal!

1 Curtida